﻿using Syncfusion.UI.Xaml.Gauges;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace CircularGaugeNeedleBindSample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private void SfTabControl_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (tabControl1.SelectedIndex == 0)
            {
                gaugeSlider1.Visibility = Windows.UI.Xaml.Visibility.Visible;
                gaugeTextBlock1.Visibility = Windows.UI.Xaml.Visibility.Visible;
                gaugeSlider2.Visibility = Windows.UI.Xaml.Visibility.Collapsed;
                gaugeTextBlock2.Visibility = Windows.UI.Xaml.Visibility.Collapsed;
            }
            else
            {
                gaugeSlider1.Visibility = Windows.UI.Xaml.Visibility.Collapsed;
                gaugeTextBlock1.Visibility = Windows.UI.Xaml.Visibility.Collapsed;
                gaugeSlider2.Visibility = Windows.UI.Xaml.Visibility.Visible;
                gaugeTextBlock2.Visibility = Windows.UI.Xaml.Visibility.Visible;
            }
        }

    }

    public class DataSourceCompetencias
    {
        private ObservableCollection<Competencia> listaCompetencias;
        public ObservableCollection<Competencia> ListaCompetencias { get { return listaCompetencias; } set { listaCompetencias = value; } }

        public DataSourceCompetencias()
        {
            Initialize();
        }

        public void Initialize()
        {
            ListaCompetencias = new ObservableCollection<Competencia>();
            ListaCompetencias.Add(new Competencia("Nombre1", 3));
            ListaCompetencias.Add(new Competencia("Nombre2", 4));
            ListaCompetencias.Add(new Competencia("Nombre3", 2));
        }

    }
    public class Competencia:INotifyPropertyChanged
    {
        public Competencia(string nombre, int media)
        {
            Media = media;
            Nombre = nombre;
        }
        public int UserID { get; set; }

        // [Key]
        // [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int CompetenciaID { get; set; }
        public string Nombre { get; set; }
        public string F1 { get; set; }
        public int PUNTF1 { get; set; }
        public string F2 { get; set; }
        public int PUNTF2 { get; set; }
        public string F3 { get; set; }
        public int PUNTF3 { get; set; }
        
        private int media;
        public int Media {
            get 
            { 
                return media; 
            } 
            set
            {
                media= value;
                RaisePropertyChanged("Media");
            } 
        }




        public event PropertyChangedEventHandler PropertyChanged;
        public void RaisePropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }

}
